Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleMap.OnMyLocationChangeListener

com.google.android.gms.maps.GoogleMap.OnMyLocationChangeListener

This interface is deprecated.
use `LocationClient` instead. LocationClient provides improved location finding and power usage and is used by the "My Location" blue dot. See the MyLocationDemoActivity in the sample applications folder for example example code, or the Location Developer Guide.

## Class Overview

Callback interface for when the My Location dot/chevron (which signifies the user's location) changes location.

## Summary

Public Methods
abstract void | onMyLocationChange(Location location) Called when the Location of the My Location dot has changed (be it latitude/longitude, bearing or accuracy).

## Public Methods

#### public abstract void onMyLocationChange (Location location)

Called when the Location of the My Location dot has changed (be it latitude/longitude, bearing or accuracy).

##### Parameters

location | The current location of the My Location dot.